Subject: RE: (radius) RFC2139: User-Name should be MUST (fwd)

From: MegaZone <[email-masked]>
Date: Tue, 9 Feb 1999 12:49:55 -0800 (PST)

Once upon a time Jonathan Garini shaped the electrons to say...
>Yes, but Cisco always sends the user-name when it has it, and that's my
>point.

FACT: A NAS doesn't always have it.
FACT: A NAS cannot send something it does not have.

Sending a empty value is a bogus hack.  MUST is not appropriate, there 
have been several examples given of when a username would not be sent.  You
keep fixating on one basic example.  It is not appropriate to tailor the
RFC to this situation.

I would agree that MAY could be too weak and it could be upgraded to a
'SHOULD', which is stronger.  But I simply cannot accept a MUST for this
AVP, I have not seen any reasonable argument that supports this claim.
Your argument is just too weak.

I would agree it is generally a good idea to send information that you have,
so if the NAS has User-Name then it SHOULD send it.  But I don't think we
should presume that it MUST always be sent, especially as this is not a
minor change to an RFC that has been as is for years.  Changing it to
SHOULD still provides some leeway.

And in the end it is up to the end user to ensure that the NAS they purchase
supports the values that they need.

-MZ
-- 
-=*X GOT CLUE? ISPF II - SAN DIEGO, CA 3/6-10 <URL:http://www.ispf.com/> X*=-
<URL:mailto:[email-masked]> Gweep, Discordian, Author, Engineer, me..
Join ISP/C Internet Service Providers' Consortium <URL:http://www.ispc.org/>
"A little nonsense now and then, is relished by the wisest men" 781-788-0130
<URL:http://www.megazone.org/>  <URL:http://www.gweep.net/>  Hail Discordia!
-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.

---

From: Jonathan Garini <[email-masked]>
Date: Tue, 9 Feb 1999 22:59:09 +0200

Since my initial message I have changed my suggestion to MUST where sessions
are authenticated. I am not fixating on a general MUST, but on a specific
MUST where it is an authenticated session.
Same way you MUST send the class in accounting where it was in
Access-Accept, but you don't need to send it if it wasn't.

> -----Original Message-----
> From: MegaZone [mailto:[email-masked]]
> Sent: Tuesday, February 09, 1999 10:50 PM
> To: [email-masked]
> Subject: RE: (radius) RFC2139: User-Name should be MUST (fwd)
> 
> 
-

---

From: Aydin Edguer <[email-masked]>
Date: Tue, 9 Feb 1999 16:09:45 -0500 (EST)

> minor change to an RFC that has been as is for years.

I would agree with this observation and viewpoint.

If the NAS has a User-Name associated with the service being accounted,
then it SHOULD send the User-Name in the Accounting-Request.

I would disagree that a NAS must include a User-Name (even if there is
no User-Name associated with the record).  I would add that there are
no guarantees that the User-Name in the Accounting-Request will be the
same as the User-Name in the initial Access-Request.
-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.